apiready = function() {
	//极光消息推送
	var ajpush = api.require('ajpush');
	if ($api.getStorage('ajpushInit') != 1) {
		//		推送初始化开始
		ajpush.init(function(ret) {
			if (ret && ret.status) {
				$api.setStorage('ajpushInit', 1);
			}
		});
		//		推送初始化结束
	}
	//设置用户唯一标识
	var token = $api.getStorage('token');
	if ($api.getStorage('statusCodes') != 1 && !!token) {
		var param = {
			alias : token
		};
		ajpush.bindAliasAndTags(param, function(ret) {
			var statusCode = ret.statusCode;
		});
		$api.setStorage('statusCodes', 1);
	}
	//点击事件
	jpush = api.require('ajpush');
	api.addEventListener({
		name : 'appintent'
	}, function(ret, err) {
		var data_text = '';
		var datas = new Date();
		data_text += datas.getMonth() + '-' + datas.getDay() + ' ';
		data_text += datas.getHours() + ':' + datas.getMinutes() + ':' + datas.getSeconds();
		var news = $api.getStorage('news');
		var extra = ret.appParam.ajpush.extra;
		var title = ret.appParam.ajpush.title;
		if (!title) {
			title = '系统通知';
		} else {
			title = ret.appParam.ajpush.title;
		}
		//		title = extra.replace(/{"title":"/, "");
		//		title = title.replace(/"}/, "");
		//		alert(title);
		if (!news) {
			news = [];
			news.unshift({
				"title" : title,
				"content" : ret.appParam.ajpush.content,
				"time" : data_text,
				"onclick" : 0
			});
		} else {
			news.unshift({
				"title" : title,
				"content" : ret.appParam.ajpush.content,
				"time" : data_text,
				"onclick" : 0
			});
		}
		$api.setStorage('newsonclick', '0');
		$api.setStorage('news', news);
		//监听通知被点击后收到的数据
	})
	api.addEventListener({
		name : 'pause'
	}, function(ret, err) {
		onPause();
		//监听应用进入后台，通知jpush暂停事件
	})

	api.addEventListener({
		name : 'resume'
	}, function(ret, err) {
		onResume();
		//监听应用恢复到前台，通知jpush恢复事件
	})
	openTab('home');
};
//$api.setStorage('token','');
//导航更换
function openTab(it) {
	var header = document.querySelector('header');
	$api.fixStatusBar(header);
	var headerPos = $api.offset(header);

	var $footer = $('#footer');
	var $headera = $('#headera');
	$headera.find('.active').removeClass('active');
	//	if(it!='home')
	//	{
	//		$('#headera').addClass('hiddren');
	//	}
	//	else
	//	{
	$('#headera').removeClass('hiddren');
	$headera.find('.' + it).addClass('active');
	//	}
	$footer.find('.active').removeClass('active');
	//默认活动首页
	$footer.find('.' + it).addClass('active');
	//点击样式加上active

	hideFrames();
	//隐藏窗口
	//定义中间窗口的大小
	var mainPos, mainHeight, mainTop;
	switch(it) {
		case 'home':
			//首页
			mainPos = $('#main').offset();
			mainHeight = mainPos.height;
			mainTop = mainPos.top;

			api.openFrame({
				name : 'frm_home',
				url : 'html/frm_home.html',
				bounces : false,
				rect : {
					x : 0,
					y : mainTop,
					w : 'auto',
					h : mainHeight
				}
			});
			break;
		case 'classify':
			//分类
			mainPos = $('#main').offset();
			mainHeight = mainPos.height;
			mainTop = mainPos.top;
			api.openFrame({
				name : 'frm_classify',
				url : 'html/frm_classify.html',
				bounces : false,
				rect : {
					x : 0,
					y : mainTop,
					w : 'auto',
					h : mainHeight
				}
			});
			break;
		case 'special':
			//专题
			mainPos = $('#main').offset();
			mainHeight = mainPos.height;
			mainTop = mainPos.top;
			api.openFrame({
				name : 'frm_special',
				url : 'html/frm_special.html',
				bounces : false,
				rect : {
					x : 0,
					y : mainTop,
					w : 'auto',
					h : mainHeight
				}
			});
			break;
		case 'shopping':
			//购物车
			mainPos = $('#main').offset();
			mainHeight = mainPos.height;
			mainTop = mainPos.top;
			uid = $api.getStorage('uid');
			token = $api.getStorage('token');
			api.openFrame({
				name : 'frm_shopping',
				url : 'html/frm_shopping.html',
				bounces : false,
				pageParam : {
					uid : uid,
					token : token,
				},
				rect : {
					x : 0,
					y : mainTop,
					w : 'auto',
					h : mainHeight
				}
			});
			break;
		case 'my':
			//我的
			var token = $api.getStorage('token');
			mainPos = $('#main').offset();
			mainHeight = mainPos.height;
			mainTop = mainPos.top;
			if (!!token) {
				api.openFrame({
					name : 'frm_my',
					url : 'html/frm_my.html',
					bounces : false,
					pageParam : {
						height : 0
					},
					rect : {
						x : 0,
						y : 0,
						w : 'auto',
						h : mainHeight + mainTop
					}
				});
			} else {
				api.openFrame({
					name : 'frm_login',
					url : 'html/login/frm_login.html',
					bounces : false,
					pageParam : {
						height : 0
					},
					rect : {
						x : 0,
						y : 0,
						w : 'auto',
						h : mainHeight
					}
				});
			}

			break;
	}
}

var loginresult = function() {
	api.closeFrame({
		name : 'frm_login'
	});
	api.closeWin({
		name : 'win_login',
		animation : {
			type : 'flip',
			subType : 'from_bottom',
			duration : 500
		}
	});
	openTab('home');
};
//隐藏所有frame 并关闭所有子窗口
function hideFrames() {
	api.closeFrame({
		name : 'frm_home'
	});
	api.closeFrame({
		name : 'frm_classify'
	});
	api.closeFrame({
		name : 'frm_special'
	});
	api.closeFrame({
		name : 'frm_shopping'
	});
	api.closeFrame({
		name : 'frm_my'
	});
	api.closeFrame({
		name : 'frm_myHave'
	});
	api.closeFrame({
		name : 'frm_love'
	});
	api.closeFrame({
		name : 'frm_login'
	});

}